Summary: A fast file transfer program
Name: rsync
Version: 3.2.4
Release: 3%{?dist}
License: GPLv3+
URL: https://rsync.samba.org/
Source0: https://download.samba.org/pub/rsync/src/rsync-%{version}.tar.gz
Source1: rsyncd.socket
Source2: rsyncd.service
Source3: rsyncd.conf
Source4: rsyncd.sysconfig
Source5: rsyncd@.service

BuildRequires: make gcc gcc-c++ libacl-devel libattr-devel autoconf popt-devel
BuildRequires: systemd lz4-devel openssl-devel libzstd-devel xxhash-devel
Provides: bundled(zlib) = 1.2.8

%description
rsync is a file transfer program for Unix systems. rsync uses the "rsync algorithm"
which provides a very fast method for bringing remote files into sync. It does this
by sending just the differences in the files across the link, without requiring that
both sets of files are present at one of the ends of the link beforehand.

%package daemon
Summary: Service for anonymous access to rsync
Requires: %{name} = %{version}-%{release}
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
BuildArch: noarch

%description daemon
Rsync can be used to offer read only access to anonymous clients.
This package provides the anonymous rsync service.

%prep

%setup -q

%build
%configure \
  --enable-openssl \
  --enable-xxhash \
  --enable-zstd \
  --enable-lz4 \
  --enable-ipv6

%make_build

%install
%make_install INSTALLCMD='install -p' INSTALLMAN='install -p'

install -D -m644 %{SOURCE1} $RPM_BUILD_ROOT/%{_unitdir}/rsyncd.socket
install -D -m644 %{SOURCE2} $RPM_BUILD_ROOT/%{_unitdir}/rsyncd.service
install -D -m644 %{SOURCE3} $RPM_BUILD_ROOT/%{_sysconfdir}/rsyncd.conf
install -D -m644 %{SOURCE4} $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/rsyncd
install -D -m644 %{SOURCE5} $RPM_BUILD_ROOT/%{_unitdir}/rsyncd@.service

%check
make check
chmod -x support/*

%post daemon
%systemd_post rsyncd.service

%preun daemon
%systemd_preun rsyncd.service

%postun daemon
%systemd_postun_with_restart rsyncd.service

%files
%license COPYING
%doc support/ tech_report.tex
%config(noreplace) %{_sysconfdir}/rsyncd.conf
%{_bindir}/%{name}
%{_bindir}/%{name}-ssl
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-ssl.1*
%{_mandir}/man5/rsyncd.conf.5*

%files daemon
%config(noreplace) %{_sysconfdir}/sysconfig/rsyncd
%{_unitdir}/rsyncd.socket
%{_unitdir}/rsyncd.service
%{_unitdir}/rsyncd@.service

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.4-2
- Rebuilt for OpenCloudOS Stream 23

* Thu May 26 2022 Minjie HUANG <jackmjhuang@tencent.com> - 3.2.4-1
- Initial Build.
